import { DriverService } from "./driver.service";
import { UpdateDriverOnlineStatusDto } from "./driver.dto";
export declare class DriverController {
    private readonly driverService;
    constructor(driverService: DriverService);
    updateDriver(UpdateDriverOnlineStatusDto: UpdateDriverOnlineStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
    getDriverStatusHistory(driverId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/driver/driver-status-history.entity").DriverStatusHistory[];
    }>;
    getDriverDetail(driverId: number): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
}
